#ifndef XGFXLIGHTREGIONAXIS_H
#define XGFXLIGHTREGIONAXIS_H

#include "xasset.h"

#include <QVector3D>

class XGfxLightRegionAxis : public XAsset
{
public:
    XGfxLightRegionAxis();
    ~XGfxLightRegionAxis();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mDir;
    float mMidPoint;
    float mHalfSize;
};

#endif // XGFXLIGHTREGIONAXIS_H
